[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / RefreshMaterializedViewResult

# Interface: RefreshMaterializedViewResult

## Properties

### mode

```ts
mode: string;
```

How the view was brought up to date: "rebuild", "incremental" or "no_op".

***

### rowsWritten

```ts
rowsWritten: number;
```

***

### sourceVersion

```ts
sourceVersion: number;
```

***

### version

```ts
version: number;
```
